Wine 3.0.5 install

Questions about Wine on Linux
Post Reply
dlw1146
Newbie
Newbie
Posts: 1
Joined: Wed Jul 17, 2019 11:14 am

Wine 3.0.5 install

Post by dlw1146 » Wed Jul 17, 2019 11:57 am

Using Ubuntu 18.04 LTS.
Have Wine 4.0.1.
Having trouble installing wine 3.0.5.
Read directions at a website. Did not work.

How is 3.0.5 installed?

jkfloris
Level 6
Level 6
Posts: 695
Joined: Thu Aug 14, 2014 10:10 am

Re: Wine 3.0.5 install

Post by jkfloris » Wed Jul 17, 2019 6:12 pm

The real question is: Why do you want an older Wine version?

You can't install two versions of winehq-stable with apt.
(You can install wine-stable, wine-devel and wine-staging together)

If you want to downgrade you could run

Code: Select all

sudo apt install winehq-stable=3.0.5~bionic wine-stable=3.0.5~bionic wine-stable-amd64=3.0.5~bionic wine-stable-i386=3.0.5~bionic

squiffy
Level 1
Level 1
Posts: 7
Joined: Tue Oct 03, 2017 9:52 am

Re: Wine 3.0.5 install

Post by squiffy » Fri Jul 26, 2019 5:12 pm

[quote="jkfloris"]The real question is: Why do you want an older Wine version?

As for me: I had no problems installing WIne 4.0.1. (Linux Mint 19.1) But there is an old Windows program that I liked and that doesn't run under a version of Wine for the first time. (CUEcards) Maybe the problem is Mint 19.1, I can't judge that, but I would also like to downgrade. However, I don't want to shoot up my working WIne installation either. So far all attempts to install something other than WIne 4.0.1 have failed.

jkfloris
Level 6
Level 6
Posts: 695
Joined: Thu Aug 14, 2014 10:10 am

Re: Wine 3.0.5 install

Post by jkfloris » Sat Jul 27, 2019 9:57 am

If there is a regression between two Wine versions that is a bug and should be know by the Wine developers.

@squiffy
Is this the program that you mean?
Both versions seems to run fine with wine 4-12.1
If you are still experiencing problems, create a new forum post.

squiffy
Level 1
Level 1
Posts: 7
Joined: Tue Oct 03, 2017 9:52 am

Re: Wine 3.0.5 install

Post by squiffy » Sat Jul 27, 2019 1:24 pm

jkfloris wrote:If there is a regression between two Wine versions that is a bug and should be know by the Wine developers.
Okay. I've never done this before, but I'll try it. Do I have to set up a new account? My forum account does not work for the Wine HQ Bugzilla forum.
jkfloris wrote: @squiffy
Is this the program that you mean?
Both versions seems to run fine with wine 4-12.1
If you are still experiencing problems, create a new forum post.
Yes, that's the program. Also the reader, which is also free. It doesn't crash so easily but it also causes problems. I have been using the programs under Wine since 2012 and they have always worked. You had to install two DLLs over Winetricks and then it ran without problems. The program still works, but if you switch back and forth between folders and flashcards it crashes reproducibly.
Can you tell me how to install wine 4-12.1 on my system? 4.12.1 is a development version. Do I have to uninstall 4.0.1 first? Sorry for the questions, but I've never had to do anything like this before.

jkfloris
Level 6
Level 6
Posts: 695
Joined: Thu Aug 14, 2014 10:10 am

Re: Wine 3.0.5 install

Post by jkfloris » Sat Jul 27, 2019 3:10 pm

Please make a new forum topic about this question, so we don't hijack this topic.
(I know dlw1146 hasn't respond, but it is still her/ his question)
You could copy-paste your last post and link to this topic.
Don't forget to mention your Linux distribution!

Post Reply